package com.duowenlvshi.duowenlszp.model.lawyer.entity;

import java.io.Serializable;
import java.util.Date;

public class Lawyer implements Serializable {
    private static final long serialVersionUID = 1L;
    private String lawyerId;

    private String address;

    private String briefinfo;

    private Integer casenum;

    private String license;

    private Date certificatedate;

    private Integer cityId;

    private Date createDate;

    private String devicetype;

    private String email;

    private String loginName;

    private String logo;

    private String phone;

    private Double moneyblocked;

    private Double moneyout;

    private Double moneysum;

    private String lawFirm;

    private Integer orderflag;

    private String password;

    private Integer provinceId;

    private String realName;

    private Integer recommend;

    private Integer sex;

    private Integer status;

    private Date updateDate;

    private String weixin;

    private String evaluateId;

    private Date applydate;

    private String failtype;

    private String certnum;

    private Integer points;

    private Integer pointsexchange;

    private Integer lawyertype;

    private String appversion;

    private String deviceid;

    private String deviceinfo;

    private String idcard;

    private String dwlsdOpenid;

    private Double moneytj;

    private Double moneytz;

    private Double deposit;

    private Integer depositstatus;

    private Integer pointsblocked;

    private Integer pointsout;

    private Integer pointssum;

    private Integer channel;

    private Date depositbackdate;

    private Integer statejoin;

    private Integer security;

    private Integer advjoinstate;

    private Integer wxpush;

    private String wxpushopenid;

    private String wxssdbopenid;

    private String backgroundMap;

    private Integer ssdbsorttest;

    public String getLawyerId() {
        return lawyerId;
    }

    public void setLawyerId(String lawyerId) {
        this.lawyerId = lawyerId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getBriefinfo() {
        return briefinfo;
    }

    public void setBriefinfo(String briefinfo) {
        this.briefinfo = briefinfo == null ? null : briefinfo.trim();
    }

    public Integer getCasenum() {
        return casenum;
    }

    public void setCasenum(Integer casenum) {
        this.casenum = casenum;
    }

    public String getLicense() {
        return license;
    }

    public void setLicense(String license) {
        this.license = license == null ? null : license.trim();
    }

    public Date getCertificatedate() {
        return certificatedate;
    }

    public void setCertificatedate(Date certificatedate) {
        this.certificatedate = certificatedate;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getDevicetype() {
        return devicetype;
    }

    public void setDevicetype(String devicetype) {
        this.devicetype = devicetype == null ? null : devicetype.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName == null ? null : loginName.trim();
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo == null ? null : logo.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public Double getMoneyblocked() {
        return moneyblocked;
    }

    public void setMoneyblocked(Double moneyblocked) {
        this.moneyblocked = moneyblocked;
    }

    public Double getMoneyout() {
        return moneyout;
    }

    public void setMoneyout(Double moneyout) {
        this.moneyout = moneyout;
    }

    public Double getMoneysum() {
        return moneysum;
    }

    public void setMoneysum(Double moneysum) {
        this.moneysum = moneysum;
    }

    public String getLawFirm() {
        return lawFirm;
    }

    public void setLawFirm(String lawFirm) {
        this.lawFirm = lawFirm == null ? null : lawFirm.trim();
    }

    public Integer getOrderflag() {
        return orderflag;
    }

    public void setOrderflag(Integer orderflag) {
        this.orderflag = orderflag;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName == null ? null : realName.trim();
    }

    public Integer getRecommend() {
        return recommend;
    }

    public void setRecommend(Integer recommend) {
        this.recommend = recommend;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getWeixin() {
        return weixin;
    }

    public void setWeixin(String weixin) {
        this.weixin = weixin == null ? null : weixin.trim();
    }

    public String getEvaluateId() {
        return evaluateId;
    }

    public void setEvaluateId(String evaluateId) {
        this.evaluateId = evaluateId == null ? null : evaluateId.trim();
    }

    public Date getApplydate() {
        return applydate;
    }

    public void setApplydate(Date applydate) {
        this.applydate = applydate;
    }

    public String getFailtype() {
        return failtype;
    }

    public void setFailtype(String failtype) {
        this.failtype = failtype == null ? null : failtype.trim();
    }

    public String getCertnum() {
        return certnum;
    }

    public void setCertnum(String certnum) {
        this.certnum = certnum == null ? null : certnum.trim();
    }

    public Integer getPoints() {
        return points;
    }

    public void setPoints(Integer points) {
        this.points = points;
    }

    public Integer getPointsexchange() {
        return pointsexchange;
    }

    public void setPointsexchange(Integer pointsexchange) {
        this.pointsexchange = pointsexchange;
    }

    public Integer getLawyertype() {
        return lawyertype;
    }

    public void setLawyertype(Integer lawyertype) {
        this.lawyertype = lawyertype;
    }

    public String getAppversion() {
        return appversion;
    }

    public void setAppversion(String appversion) {
        this.appversion = appversion == null ? null : appversion.trim();
    }

    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid == null ? null : deviceid.trim();
    }

    public String getDeviceinfo() {
        return deviceinfo;
    }

    public void setDeviceinfo(String deviceinfo) {
        this.deviceinfo = deviceinfo == null ? null : deviceinfo.trim();
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard == null ? null : idcard.trim();
    }

    public String getDwlsdOpenid() {
        return dwlsdOpenid;
    }

    public void setDwlsdOpenid(String dwlsdOpenid) {
        this.dwlsdOpenid = dwlsdOpenid == null ? null : dwlsdOpenid.trim();
    }

    public Double getMoneytj() {
        return moneytj;
    }

    public void setMoneytj(Double moneytj) {
        this.moneytj = moneytj;
    }

    public Double getMoneytz() {
        return moneytz;
    }

    public void setMoneytz(Double moneytz) {
        this.moneytz = moneytz;
    }

    public Double getDeposit() {
        return deposit;
    }

    public void setDeposit(Double deposit) {
        this.deposit = deposit;
    }

    public Integer getDepositstatus() {
        return depositstatus;
    }

    public void setDepositstatus(Integer depositstatus) {
        this.depositstatus = depositstatus;
    }

    public Integer getPointsblocked() {
        return pointsblocked;
    }

    public void setPointsblocked(Integer pointsblocked) {
        this.pointsblocked = pointsblocked;
    }

    public Integer getPointsout() {
        return pointsout;
    }

    public void setPointsout(Integer pointsout) {
        this.pointsout = pointsout;
    }

    public Integer getPointssum() {
        return pointssum;
    }

    public void setPointssum(Integer pointssum) {
        this.pointssum = pointssum;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public Date getDepositbackdate() {
        return depositbackdate;
    }

    public void setDepositbackdate(Date depositbackdate) {
        this.depositbackdate = depositbackdate;
    }

    public Integer getStatejoin() {
        return statejoin;
    }

    public void setStatejoin(Integer statejoin) {
        this.statejoin = statejoin;
    }

    public Integer getSecurity() {
        return security;
    }

    public void setSecurity(Integer security) {
        this.security = security;
    }

    public Integer getAdvjoinstate() {
        return advjoinstate;
    }

    public void setAdvjoinstate(Integer advjoinstate) {
        this.advjoinstate = advjoinstate;
    }

    public Integer getWxpush() {
        return wxpush;
    }

    public void setWxpush(Integer wxpush) {
        this.wxpush = wxpush;
    }

    public String getWxpushopenid() {
        return wxpushopenid;
    }

    public void setWxpushopenid(String wxpushopenid) {
        this.wxpushopenid = wxpushopenid == null ? null : wxpushopenid.trim();
    }

    public String getWxssdbopenid() {
        return wxssdbopenid;
    }

    public void setWxssdbopenid(String wxssdbopenid) {
        this.wxssdbopenid = wxssdbopenid == null ? null : wxssdbopenid.trim();
    }

    public Integer getSsdbsorttest() {
        return ssdbsorttest;
    }

    public void setSsdbsorttest(Integer ssdbsorttest) {
        this.ssdbsorttest = ssdbsorttest;
    }

    public String getBackgroundMap() {
        return backgroundMap;
    }

    public void setBackgroundMap(String backgroundMap) {
        this.backgroundMap = backgroundMap;
    }
}